--default values
Player = Object:new()
Player.type = "Player"

Player.image, Player.w, Player.h = get_image("images/player.png")
Player.image_c = get_image("images/player_charged.png")
Player.left = false
Player.right = false
Player.heading = 0
Player.charges = 0

function Player:new(o)
  o = o or {}
  setmetatable(o, self)
  self.__index = self
  return o
end


function Player:update(delta)
  if self.right == true and self.left == true then
	self.speed = 0
  elseif self.right == true then
	self.speed = 5
  elseif self.left == true then
	self.speed = -5
  else
  	self.speed = 0
  end
  
  Object.update(self, delta)
  
  if self.x < 0 then self.x = 0 end
  if self.x > 640 - 64 then self.x = 640 - 64 end

end


function Player:shoot()
	if self.charges >= 20 then
		bullet_list:push_back(PhazonBlast:new({x=self.x, y=self.y, heading=90, speed=10}))
		self.charges = self.charges - 20
	end
end


function Player:collide(ids, object)
end


function Player:draw()
  if self.charges < 20 then
    blit(self.image, self.x-self.x_offset, self.y-self.y_offset, self.rotation, true)
  else
    blit(self.image_c, self.x-self.x_offset, self.y-self.y_offset, self.rotation, true)
  end
end
